diff --git a/src/Plugin/Block/SocialSharingBlock.php b/src/Plugin/Block/SocialSharingBlock.php
index 67302de..d847a2b 100644
--- a/src/Plugin/Block/SocialSharingBlock.php
+++ b/src/Plugin/Block/SocialSharingBlock.php
@@ -90,7 +90,7 @@ class SocialSharingBlock extends BlockBase implements ContainerFactoryPluginInte
         if ($social_media['attributes']) {
           $elements[$name]['attr'] = $this->social_media_convert_attributes($social_media['attributes']);
         }
-        if ($social_media['drupalSettings']) {
+        if (isset($social_media['drupalSettings']) && $social_media['drupalSettings']) {
           $settings['social_media'] = $this->social_media_convert_drupalSettings($social_media['drupalSettings']);
         }
 
